package com.tofly.xrtygis.custom.entity.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * @author FlashWJL
 * @date 2021/5/21 14:52
 */
@Getter
@AllArgsConstructor
public enum Calculate {

    CALCULATE_ONE(new BigDecimal(0.02)),
    CALCULATE_TWO(new BigDecimal(1.25)),
    CALCULATE_THREE(new BigDecimal(0.033)),
    CALCULATE_FOUR(new BigDecimal(50)),
    CALCULATE_FIVE(new BigDecimal(1.5)),
    CALCULATE_SIX(new BigDecimal(0.25)),
    CALCULATE_SEVEN(new BigDecimal(1000)),
;
    ;

    /**
     * 计算值
     */
    private BigDecimal calcul;
}
